# Class CapabilityStage

java.lang.Object
uk.ac.starlink.ttools.taplint.CapabilityStage

All Implemented Interfaces:
  `Stage`

public class CapabilityStage extends Object implements Stage
Stage for checking content of TAPRegExt capability metadata.

Since:
  3 Jun 2011
Author:
  Mark Taylor
See Also:
  - IVOA TAPRegExt Standard

## Constructor Summary

Constructors
Constructor
Description
`CapabilityStage(CapabilityHolder capHolder)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns a short one-line description of this stage.
`void`
`run(Reporter reporter, uk.ac.starlink.vo.TapService tapService)`
Performs the validation checks for this stage.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CapabilityStage

public CapabilityStage(CapabilityHolder capHolder)
Constructor.

Parameters:
  `capHolder` - source for capabilities document

## Method Details

### getDescription

public String getDescription()
Description copied from interface: `Stage`
Returns a short one-line description of this stage.

Specified by:
  `getDescription` in interface `Stage`
Returns:
  description in imperative mood

### run

public void run(Reporter reporter, uk.ac.starlink.vo.TapService tapService)
Description copied from interface: `Stage`
Performs the validation checks for this stage.

Specified by:
  `run` in interface `Stage`
Parameters:
  `reporter` - destination for validation messages
  `tapService` - TAP service description